zeroSquitto – Blame information for rev 1

Subversion Repositories:
Rev:
Rev Author Line No. Line
1 office 1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3  
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5  
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9  
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14  
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18 if test -z '$(MAKELEVEL)'; then \
19 false; \
20 elif test -n '$(MAKE_HOST)'; then \
21 true; \
22 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23 true; \
24 else \
25 false; \
26 fi; \
27 }
28 am__make_running_with_option = \
29 case $${target_option-} in \
30 ?) ;; \
31 *) echo "am__make_running_with_option: internal error: invalid" \
32 "target option '$${target_option-}' specified" >&2; \
33 exit 1;; \
34 esac; \
35 has_opt=no; \
36 sane_makeflags=$$MAKEFLAGS; \
37 if $(am__is_gnu_make); then \
38 sane_makeflags=$$MFLAGS; \
39 else \
40 case $$MAKEFLAGS in \
41 *\\[\ \ ]*) \
42 bs=\\; \
43 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
45 esac; \
46 fi; \
47 skip_next=no; \
48 strip_trailopt () \
49 { \
50 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51 }; \
52 for flg in $$sane_makeflags; do \
53 test $$skip_next = yes && { skip_next=no; continue; }; \
54 case $$flg in \
55 *=*|--*) continue;; \
56 -*I) strip_trailopt 'I'; skip_next=yes;; \
57 -*I?*) strip_trailopt 'I';; \
58 -*O) strip_trailopt 'O'; skip_next=yes;; \
59 -*O?*) strip_trailopt 'O';; \
60 -*l) strip_trailopt 'l'; skip_next=yes;; \
61 -*l?*) strip_trailopt 'l';; \
62 -[dEDm]) skip_next=yes;; \
63 -[JT]) skip_next=yes;; \
64 esac; \
65 case $$flg in \
66 *$$target_option*) has_opt=yes; break;; \
67 esac; \
68 done; \
69 test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92 $(ACLOCAL_M4)
93 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
94 $(am__configure_deps) $(am__DIST_COMMON)
95 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
96 configure.lineno config.status.lineno
97 mkinstalldirs = $(install_sh) -d
98 CONFIG_CLEAN_FILES =
99 CONFIG_CLEAN_VPATH_FILES =
100 AM_V_P = $(am__v_P_@AM_V@)
101 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
102 am__v_P_0 = false
103 am__v_P_1 = :
104 AM_V_GEN = $(am__v_GEN_@AM_V@)
105 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
106 am__v_GEN_0 = @echo " GEN " $@;
107 am__v_GEN_1 =
108 AM_V_at = $(am__v_at_@AM_V@)
109 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
110 am__v_at_0 = @
111 am__v_at_1 =
112 SOURCES =
113 DIST_SOURCES =
114 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
115 ctags-recursive dvi-recursive html-recursive info-recursive \
116 install-data-recursive install-dvi-recursive \
117 install-exec-recursive install-html-recursive \
118 install-info-recursive install-pdf-recursive \
119 install-ps-recursive install-recursive installcheck-recursive \
120 installdirs-recursive pdf-recursive ps-recursive \
121 tags-recursive uninstall-recursive
122 am__can_run_installinfo = \
123 case $$AM_UPDATE_INFO_DIR in \
124 n|no|NO) false;; \
125 *) (install-info --version) >/dev/null 2>&1;; \
126 esac
127 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
128 distclean-recursive maintainer-clean-recursive
129 am__recursive_targets = \
130 $(RECURSIVE_TARGETS) \
131 $(RECURSIVE_CLEAN_TARGETS) \
132 $(am__extra_recursive_targets)
133 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
134 cscope distdir dist dist-all distcheck
135 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
136 # Read a list of newline-separated strings from the standard input,
137 # and print each of them once, without duplicates. Input order is
138 # *not* preserved.
139 am__uniquify_input = $(AWK) '\
140 BEGIN { nonempty = 0; } \
141 { items[$$0] = 1; nonempty = 1; } \
142 END { if (nonempty) { for (i in items) print i; }; } \
143 '
144 # Make sure the list of sources is unique. This is necessary because,
145 # e.g., the same source file might be shared among _SOURCES variables
146 # for different programs/libraries.
147 am__define_uniq_tagged_files = \
148 list='$(am__tagged_files)'; \
149 unique=`for i in $$list; do \
150 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
151 done | $(am__uniquify_input)`
152 ETAGS = etags
153 CTAGS = ctags
154 CSCOPE = cscope
155 DIST_SUBDIRS = $(SUBDIRS)
156 am__DIST_COMMON = $(srcdir)/Makefile.in AUTHORS COPYING ChangeLog \
157 INSTALL NEWS README compile depcomp install-sh missing
158 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
159 distdir = $(PACKAGE)-$(VERSION)
160 top_distdir = $(distdir)
161 am__remove_distdir = \
162 if test -d "$(distdir)"; then \
163 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
164 && rm -rf "$(distdir)" \
165 || { sleep 5 && rm -rf "$(distdir)"; }; \
166 else :; fi
167 am__post_remove_distdir = $(am__remove_distdir)
168 am__relativize = \
169 dir0=`pwd`; \
170 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
171 sed_rest='s,^[^/]*/*,,'; \
172 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
173 sed_butlast='s,/*[^/]*$$,,'; \
174 while test -n "$$dir1"; do \
175 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
176 if test "$$first" != "."; then \
177 if test "$$first" = ".."; then \
178 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
179 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
180 else \
181 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
182 if test "$$first2" = "$$first"; then \
183 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
184 else \
185 dir2="../$$dir2"; \
186 fi; \
187 dir0="$$dir0"/"$$first"; \
188 fi; \
189 fi; \
190 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
191 done; \
192 reldir="$$dir2"
193 DIST_ARCHIVES = $(distdir).tar.gz
194 GZIP_ENV = --best
195 DIST_TARGETS = dist-gzip
196 distuninstallcheck_listfiles = find . -type f -print
197 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
198 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
199 distcleancheck_listfiles = find . -type f -print
200 ACLOCAL = @ACLOCAL@
201 AMTAR = @AMTAR@
202 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
203 AUTOCONF = @AUTOCONF@
204 AUTOHEADER = @AUTOHEADER@
205 AUTOMAKE = @AUTOMAKE@
206 AWK = @AWK@
207 CC = @CC@
208 CCDEPMODE = @CCDEPMODE@
209 CFLAGS = @CFLAGS@
210 CPPFLAGS = @CPPFLAGS@
211 CYGPATH_W = @CYGPATH_W@
212 DEFS = @DEFS@
213 DEPDIR = @DEPDIR@
214 ECHO_C = @ECHO_C@
215 ECHO_N = @ECHO_N@
216 ECHO_T = @ECHO_T@
217 EXEEXT = @EXEEXT@
218 INSTALL = @INSTALL@
219 INSTALL_DATA = @INSTALL_DATA@
220 INSTALL_PROGRAM = @INSTALL_PROGRAM@
221 INSTALL_SCRIPT = @INSTALL_SCRIPT@
222 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
223 INTI_CFLAGS = @INTI_CFLAGS@
224 INTI_LIBS = @INTI_LIBS@
225 LDFLAGS = @LDFLAGS@
226 LIBOBJS = @LIBOBJS@
227 LIBS = @LIBS@
228 LTLIBOBJS = @LTLIBOBJS@
229 MAKEINFO = @MAKEINFO@
230 MKDIR_P = @MKDIR_P@
231 OBJEXT = @OBJEXT@
232 PACKAGE = @PACKAGE@
233 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
234 PACKAGE_NAME = @PACKAGE_NAME@
235 PACKAGE_STRING = @PACKAGE_STRING@
236 PACKAGE_TARNAME = @PACKAGE_TARNAME@
237 PACKAGE_URL = @PACKAGE_URL@
238 PACKAGE_VERSION = @PACKAGE_VERSION@
239 PATH_SEPARATOR = @PATH_SEPARATOR@
240 SET_MAKE = @SET_MAKE@
241 SHELL = @SHELL@
242 STRIP = @STRIP@
243 VERSION = @VERSION@
244 abs_builddir = @abs_builddir@
245 abs_srcdir = @abs_srcdir@
246 abs_top_builddir = @abs_top_builddir@
247 abs_top_srcdir = @abs_top_srcdir@
248 ac_ct_CC = @ac_ct_CC@
249 am__include = @am__include@
250 am__leading_dot = @am__leading_dot@
251 am__quote = @am__quote@
252 am__tar = @am__tar@
253 am__untar = @am__untar@
254 bindir = @bindir@
255 build_alias = @build_alias@
256 builddir = @builddir@
257 datadir = @datadir@
258 datarootdir = @datarootdir@
259 docdir = @docdir@
260 dvidir = @dvidir@
261 exec_prefix = @exec_prefix@
262 host_alias = @host_alias@
263 htmldir = @htmldir@
264 includedir = @includedir@
265 infodir = @infodir@
266 install_sh = @install_sh@
267 libdir = @libdir@
268 libexecdir = @libexecdir@
269 localedir = @localedir@
270 localstatedir = @localstatedir@
271 mandir = @mandir@
272 mkdir_p = @mkdir_p@
273 oldincludedir = @oldincludedir@
274 pdfdir = @pdfdir@
275 prefix = @prefix@
276 program_transform_name = @program_transform_name@
277 psdir = @psdir@
278 sbindir = @sbindir@
279 sharedstatedir = @sharedstatedir@
280 srcdir = @srcdir@
281 sysconfdir = @sysconfdir@
282 target_alias = @target_alias@
283 top_build_prefix = @top_build_prefix@
284 top_builddir = @top_builddir@
285 top_srcdir = @top_srcdir@
286 SUBDIRS = src
287 all: all-recursive
288  
289 .SUFFIXES:
290 am--refresh: Makefile
291 @:
292 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
293 @for dep in $?; do \
294 case '$(am__configure_deps)' in \
295 *$$dep*) \
296 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
297 $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
298 && exit 0; \
299 exit 1;; \
300 esac; \
301 done; \
302 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
303 $(am__cd) $(top_srcdir) && \
304 $(AUTOMAKE) --gnu Makefile
305 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
306 @case '$?' in \
307 *config.status*) \
308 echo ' $(SHELL) ./config.status'; \
309 $(SHELL) ./config.status;; \
310 *) \
311 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
312 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
313 esac;
314  
315 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
316 $(SHELL) ./config.status --recheck
317  
318 $(top_srcdir)/configure: $(am__configure_deps)
319 $(am__cd) $(srcdir) && $(AUTOCONF)
320 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
321 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
322 $(am__aclocal_m4_deps):
323  
324 # This directory's subdirectories are mostly independent; you can cd
325 # into them and run 'make' without going through this Makefile.
326 # To change the values of 'make' variables: instead of editing Makefiles,
327 # (1) if the variable is set in 'config.status', edit 'config.status'
328 # (which will cause the Makefiles to be regenerated when you run 'make');
329 # (2) otherwise, pass the desired values on the 'make' command line.
330 $(am__recursive_targets):
331 @fail=; \
332 if $(am__make_keepgoing); then \
333 failcom='fail=yes'; \
334 else \
335 failcom='exit 1'; \
336 fi; \
337 dot_seen=no; \
338 target=`echo $@ | sed s/-recursive//`; \
339 case "$@" in \
340 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
341 *) list='$(SUBDIRS)' ;; \
342 esac; \
343 for subdir in $$list; do \
344 echo "Making $$target in $$subdir"; \
345 if test "$$subdir" = "."; then \
346 dot_seen=yes; \
347 local_target="$$target-am"; \
348 else \
349 local_target="$$target"; \
350 fi; \
351 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
352 || eval $$failcom; \
353 done; \
354 if test "$$dot_seen" = "no"; then \
355 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
356 fi; test -z "$$fail"
357  
358 ID: $(am__tagged_files)
359 $(am__define_uniq_tagged_files); mkid -fID $$unique
360 tags: tags-recursive
361 TAGS: tags
362  
363 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
364 set x; \
365 here=`pwd`; \
366 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
367 include_option=--etags-include; \
368 empty_fix=.; \
369 else \
370 include_option=--include; \
371 empty_fix=; \
372 fi; \
373 list='$(SUBDIRS)'; for subdir in $$list; do \
374 if test "$$subdir" = .; then :; else \
375 test ! -f $$subdir/TAGS || \
376 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
377 fi; \
378 done; \
379 $(am__define_uniq_tagged_files); \
380 shift; \
381 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
382 test -n "$$unique" || unique=$$empty_fix; \
383 if test $$# -gt 0; then \
384 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
385 "$$@" $$unique; \
386 else \
387 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
388 $$unique; \
389 fi; \
390 fi
391 ctags: ctags-recursive
392  
393 CTAGS: ctags
394 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
395 $(am__define_uniq_tagged_files); \
396 test -z "$(CTAGS_ARGS)$$unique" \
397 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
398 $$unique
399  
400 GTAGS:
401 here=`$(am__cd) $(top_builddir) && pwd` \
402 && $(am__cd) $(top_srcdir) \
403 && gtags -i $(GTAGS_ARGS) "$$here"
404 cscope: cscope.files
405 test ! -s cscope.files \
406 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
407 clean-cscope:
408 -rm -f cscope.files
409 cscope.files: clean-cscope cscopelist
410 cscopelist: cscopelist-recursive
411  
412 cscopelist-am: $(am__tagged_files)
413 list='$(am__tagged_files)'; \
414 case "$(srcdir)" in \
415 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
416 *) sdir=$(subdir)/$(srcdir) ;; \
417 esac; \
418 for i in $$list; do \
419 if test -f "$$i"; then \
420 echo "$(subdir)/$$i"; \
421 else \
422 echo "$$sdir/$$i"; \
423 fi; \
424 done >> $(top_builddir)/cscope.files
425  
426 distclean-tags:
427 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
428 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
429  
430 distdir: $(DISTFILES)
431 $(am__remove_distdir)
432 test -d "$(distdir)" || mkdir "$(distdir)"
433 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
434 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
435 list='$(DISTFILES)'; \
436 dist_files=`for file in $$list; do echo $$file; done | \
437 sed -e "s|^$$srcdirstrip/||;t" \
438 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
439 case $$dist_files in \
440 */*) $(MKDIR_P) `echo "$$dist_files" | \
441 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
442 sort -u` ;; \
443 esac; \
444 for file in $$dist_files; do \
445 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
446 if test -d $$d/$$file; then \
447 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
448 if test -d "$(distdir)/$$file"; then \
449 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
450 fi; \
451 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
452 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
453 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
454 fi; \
455 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
456 else \
457 test -f "$(distdir)/$$file" \
458 || cp -p $$d/$$file "$(distdir)/$$file" \
459 || exit 1; \
460 fi; \
461 done
462 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
463 if test "$$subdir" = .; then :; else \
464 $(am__make_dryrun) \
465 || test -d "$(distdir)/$$subdir" \
466 || $(MKDIR_P) "$(distdir)/$$subdir" \
467 || exit 1; \
468 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
469 $(am__relativize); \
470 new_distdir=$$reldir; \
471 dir1=$$subdir; dir2="$(top_distdir)"; \
472 $(am__relativize); \
473 new_top_distdir=$$reldir; \
474 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
475 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
476 ($(am__cd) $$subdir && \
477 $(MAKE) $(AM_MAKEFLAGS) \
478 top_distdir="$$new_top_distdir" \
479 distdir="$$new_distdir" \
480 am__remove_distdir=: \
481 am__skip_length_check=: \
482 am__skip_mode_fix=: \
483 distdir) \
484 || exit 1; \
485 fi; \
486 done
487 -test -n "$(am__skip_mode_fix)" \
488 || find "$(distdir)" -type d ! -perm -755 \
489 -exec chmod u+rwx,go+rx {} \; -o \
490 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
491 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
492 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
493 || chmod -R a+r "$(distdir)"
494 dist-gzip: distdir
495 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
496 $(am__post_remove_distdir)
497  
498 dist-bzip2: distdir
499 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
500 $(am__post_remove_distdir)
501  
502 dist-lzip: distdir
503 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
504 $(am__post_remove_distdir)
505  
506 dist-xz: distdir
507 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
508 $(am__post_remove_distdir)
509  
510 dist-tarZ: distdir
511 @echo WARNING: "Support for distribution archives compressed with" \
512 "legacy program 'compress' is deprecated." >&2
513 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
514 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
515 $(am__post_remove_distdir)
516  
517 dist-shar: distdir
518 @echo WARNING: "Support for shar distribution archives is" \
519 "deprecated." >&2
520 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
521 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
522 $(am__post_remove_distdir)
523  
524 dist-zip: distdir
525 -rm -f $(distdir).zip
526 zip -rq $(distdir).zip $(distdir)
527 $(am__post_remove_distdir)
528  
529 dist dist-all:
530 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
531 $(am__post_remove_distdir)
532  
533 # This target untars the dist file and tries a VPATH configuration. Then
534 # it guarantees that the distribution is self-contained by making another
535 # tarfile.
536 distcheck: dist
537 case '$(DIST_ARCHIVES)' in \
538 *.tar.gz*) \
539 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
540 *.tar.bz2*) \
541 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
542 *.tar.lz*) \
543 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
544 *.tar.xz*) \
545 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
546 *.tar.Z*) \
547 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
548 *.shar.gz*) \
549 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
550 *.zip*) \
551 unzip $(distdir).zip ;;\
552 esac
553 chmod -R a-w $(distdir)
554 chmod u+w $(distdir)
555 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
556 chmod a-w $(distdir)
557 test -d $(distdir)/_build || exit 0; \
558 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
559 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
560 && am__cwd=`pwd` \
561 && $(am__cd) $(distdir)/_build/sub \
562 && ../../configure \
563 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
564 $(DISTCHECK_CONFIGURE_FLAGS) \
565 --srcdir=../.. --prefix="$$dc_install_base" \
566 && $(MAKE) $(AM_MAKEFLAGS) \
567 && $(MAKE) $(AM_MAKEFLAGS) dvi \
568 && $(MAKE) $(AM_MAKEFLAGS) check \
569 && $(MAKE) $(AM_MAKEFLAGS) install \
570 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
571 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
572 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
573 distuninstallcheck \
574 && chmod -R a-w "$$dc_install_base" \
575 && ({ \
576 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
577 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
578 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
579 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
580 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
581 } || { rm -rf "$$dc_destdir"; exit 1; }) \
582 && rm -rf "$$dc_destdir" \
583 && $(MAKE) $(AM_MAKEFLAGS) dist \
584 && rm -rf $(DIST_ARCHIVES) \
585 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
586 && cd "$$am__cwd" \
587 || exit 1
588 $(am__post_remove_distdir)
589 @(echo "$(distdir) archives ready for distribution: "; \
590 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
591 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
592 distuninstallcheck:
593 @test -n '$(distuninstallcheck_dir)' || { \
594 echo 'ERROR: trying to run $@ with an empty' \
595 '$$(distuninstallcheck_dir)' >&2; \
596 exit 1; \
597 }; \
598 $(am__cd) '$(distuninstallcheck_dir)' || { \
599 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
600 exit 1; \
601 }; \
602 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
603 || { echo "ERROR: files left after uninstall:" ; \
604 if test -n "$(DESTDIR)"; then \
605 echo " (check DESTDIR support)"; \
606 fi ; \
607 $(distuninstallcheck_listfiles) ; \
608 exit 1; } >&2
609 distcleancheck: distclean
610 @if test '$(srcdir)' = . ; then \
611 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
612 exit 1 ; \
613 fi
614 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
615 || { echo "ERROR: files left in build directory after distclean:" ; \
616 $(distcleancheck_listfiles) ; \
617 exit 1; } >&2
618 check-am: all-am
619 check: check-recursive
620 all-am: Makefile
621 installdirs: installdirs-recursive
622 installdirs-am:
623 install: install-recursive
624 install-exec: install-exec-recursive
625 install-data: install-data-recursive
626 uninstall: uninstall-recursive
627  
628 install-am: all-am
629 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
630  
631 installcheck: installcheck-recursive
632 install-strip:
633 if test -z '$(STRIP)'; then \
634 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
635 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
636 install; \
637 else \
638 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
639 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
640 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
641 fi
642 mostlyclean-generic:
643  
644 clean-generic:
645  
646 distclean-generic:
647 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
648 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
649  
650 maintainer-clean-generic:
651 @echo "This command is intended for maintainers to use"
652 @echo "it deletes files that may require special tools to rebuild."
653 clean: clean-recursive
654  
655 clean-am: clean-generic mostlyclean-am
656  
657 distclean: distclean-recursive
658 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
659 -rm -f Makefile
660 distclean-am: clean-am distclean-generic distclean-tags
661  
662 dvi: dvi-recursive
663  
664 dvi-am:
665  
666 html: html-recursive
667  
668 html-am:
669  
670 info: info-recursive
671  
672 info-am:
673  
674 install-data-am:
675  
676 install-dvi: install-dvi-recursive
677  
678 install-dvi-am:
679  
680 install-exec-am:
681  
682 install-html: install-html-recursive
683  
684 install-html-am:
685  
686 install-info: install-info-recursive
687  
688 install-info-am:
689  
690 install-man:
691  
692 install-pdf: install-pdf-recursive
693  
694 install-pdf-am:
695  
696 install-ps: install-ps-recursive
697  
698 install-ps-am:
699  
700 installcheck-am:
701  
702 maintainer-clean: maintainer-clean-recursive
703 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
704 -rm -rf $(top_srcdir)/autom4te.cache
705 -rm -f Makefile
706 maintainer-clean-am: distclean-am maintainer-clean-generic
707  
708 mostlyclean: mostlyclean-recursive
709  
710 mostlyclean-am: mostlyclean-generic
711  
712 pdf: pdf-recursive
713  
714 pdf-am:
715  
716 ps: ps-recursive
717  
718 ps-am:
719  
720 uninstall-am:
721  
722 .MAKE: $(am__recursive_targets) install-am install-strip
723  
724 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
725 am--refresh check check-am clean clean-cscope clean-generic \
726 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
727 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
728 distcheck distclean distclean-generic distclean-tags \
729 distcleancheck distdir distuninstallcheck dvi dvi-am html \
730 html-am info info-am install install-am install-data \
731 install-data-am install-dvi install-dvi-am install-exec \
732 install-exec-am install-html install-html-am install-info \
733 install-info-am install-man install-pdf install-pdf-am \
734 install-ps install-ps-am install-strip installcheck \
735 installcheck-am installdirs installdirs-am maintainer-clean \
736 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
737 pdf-am ps ps-am tags tags-am uninstall uninstall-am
738  
739 .PRECIOUS: Makefile
740  
741  
742 # Tell versions [3.59,3.63) of GNU make to not export all variables.
743 # Otherwise a system limit (for SysV at least) may be exceeded.
744 .NOEXPORT: